Installation Media - Bug #2703

Parabolaiso and radeon rx
2020-04-15 12:56 PM - pisechka

Status: info needed % Done: 0%
Priority: bug

Assignee:

Category:

Description

| have radeon rx580 and can't inarll Parabola.
Parabolaiso screen freez on initilize linux kernel step.

History

#1 - 2020-04-22 01:50 AM - pisechka

Amdgpu module can't correct load module.

amdgpu 0000:06:00.0: Direct firmware load for amdgpu/polaris10_mc.bin failed with error
mc: Failed to load firmware "amdgpu/polaris10_mc.bin"

[drm:gmc_v8_0_sw_init.cold [amdgpu]] ERROR Failed to load mc firmware
[drm:amdgpu_device_init.cold [amdgpu]] ERROR sw_init of IP block <gmc_v8_0> failed -2
amdgpu 0000:06:00.0: amdgpu_device_ip_init failed

amdgpu 0000:06:00.0: Fatal error during GPU init

amdgpu: probe of 0000:06:00.0 failed with error -2

Archlinux boot and work correctly.

#2 - 2020-04-22 01:51 AM - pisechka

linux_firmware don't help on parabola but help on arch
#3 - 2020-04-22 10:51 AM - freemor
What you are discribing sounds like a non-free firmware issue.

ATI videocards are vary bad for falling into this category.
Arch works because they carry the non-free firmware, Parabola does not

You can probably get to a command line by editing the grub settings before booting (press e)
and change GFX_PAYLOAD=text or adding similar vga= kernel parameter to force a plain text non-framebuffer VT

But if it is indeed the case of a non free firmware (and from all the references I'm seeing to rx580 and VBIOS and other indicator

there may not be much point in installing as perfromance of anything non-text would be pretty crap. So depending on what you want to do it might be
a non-starter.

#4 - 2020-04-28 02:11 AM - bill-auger

this device is documented on h-node as working

This card is supposed to be run with the AMDGPU driver which
depends on a binary firmware. Using the free ATI driver works
however, and 3D seems to be supported (glxgears works OK). Lots
of features are missing however, including many RandR controls
(e.g. brightness) and waking up from sleep. You might have to
blacklist the amdgpu kernel driver or else the system won't boot.

S0 ... i suppose the work-around is to install parabola using
one of the CLI ISOs, then blacklist the amdgpu module on the
target system

pisechka -

were you using one of the CLI ISOs, or the LXDE ISOs ?

#5 - 2020-05-08 03:44 AM - bill-auger

- Project changed from Packages to Installation Media
https://h-node.org/videocards/view/en/2024/Advanced-Micro-Devices--Inc---AMD-ATI--Ellesmere--Radeon-RX-470-480-570-570X-580-580X

#6 - 2020-07-15 06:18 AM - bill-auger

- Status changed from unconfirmed to info needed
